Update a connector application config
Any change to the application config will move the deployed version out of sync with the configuration and would need to redploy.
Authorization
oAuth2AuthCode In: header
Path Parameters
uuidMajor version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/application-configs" \ -H "Content-Type: application/json" \ -d '{ "command": "php", "arguments": "app.php product:import", "health-check": "--help" }'{
"message": "Connector application config updated."
}{
"message": "Bad request.",
"errors": {
"command": "This value should not be blank."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?
CDE API
Manage connectors, versions, buckets, platform deployment, and organizations through the Connector Development Environment API.
Update Authentication registrations to connector version PUT
These authentications will create options on the connector forms for the user to authenticate with the chosen services. *Note*: This will move the connector version to updating/updated state.